{
  "groups": [
    {
      "name": "hnqz.xsequence.db",
      "type": "net.yyc.common.sequence.properties.SequenceDbProperties",
      "sourceType": "net.yyc.common.sequence.properties.SequenceDbProperties"
    },
    {
      "name": "hnqz.xsequence.redis",
      "type": "net.yyc.common.sequence.properties.SequenceRedisProperties",
      "sourceType": "net.yyc.common.sequence.properties.SequenceRedisProperties"
    },
    {
      "name": "hnqz.xsequence.snowflake",
      "type": "net.yyc.common.sequence.properties.SequenceSnowflakeProperties",
      "sourceType": "net.yyc.common.sequence.properties.SequenceSnowflakeProperties"
    }
  ],
  "properties": [
    {
      "name": "hnqz.xsequence.db.biz-name",
      "type": "java.lang.String",
      "description": "业务名称",
      "sourceType": "net.yyc.common.sequence.properties.SequenceDbProperties",
      "defaultValue": "hnqz"
    },
    {
      "name": "hnqz.xsequence.db.retry-times",
      "type": "java.lang.Integer",
      "description": "重试次数",
      "sourceType": "net.yyc.common.sequence.properties.SequenceDbProperties",
      "defaultValue": 1
    },
    {
      "name": "hnqz.xsequence.db.step",
      "type": "java.lang.Integer",
      "description": "获取range步长[可选，默认：1000]",
      "sourceType": "net.yyc.common.sequence.properties.SequenceDbProperties",
      "defaultValue": 1000
    },
    {
      "name": "hnqz.xsequence.db.step-start",
      "type": "java.lang.Long",
      "description": "序列号分配起始值[可选：默认：0]",
      "sourceType": "net.yyc.common.sequence.properties.SequenceDbProperties",
      "defaultValue": 0
    },
    {
      "name": "hnqz.xsequence.db.table-name",
      "type": "java.lang.String",
      "description": "表名称",
      "sourceType": "net.yyc.common.sequence.properties.SequenceDbProperties",
      "defaultValue": "hnqz_sequence"
    },
    {
      "name": "hnqz.xsequence.redis.biz-name",
      "type": "java.lang.String",
      "description": "业务名称",
      "sourceType": "net.yyc.common.sequence.properties.SequenceRedisProperties",
      "defaultValue": "hnqz"
    },
    {
      "name": "hnqz.xsequence.redis.step",
      "type": "java.lang.Integer",
      "description": "获取range步长[可选，默认：1000]",
      "sourceType": "net.yyc.common.sequence.properties.SequenceRedisProperties",
      "defaultValue": 1000
    },
    {
      "name": "hnqz.xsequence.redis.step-start",
      "type": "java.lang.Long",
      "description": "序列号分配起始值[可选：默认：0]",
      "sourceType": "net.yyc.common.sequence.properties.SequenceRedisProperties",
      "defaultValue": 0
    },
    {
      "name": "hnqz.xsequence.snowflake.biz-name",
      "type": "java.lang.String",
      "description": "业务名称",
      "sourceType": "net.yyc.common.sequence.properties.SequenceSnowflakeProperties",
      "defaultValue": "hnqz"
    },
    {
      "name": "hnqz.xsequence.snowflake.datacenter-id",
      "type": "java.lang.Long",
      "description": "数据中心ID，值的范围在[0,31]之间，一般可以设置机房的IDC[必选]",
      "sourceType": "net.yyc.common.sequence.properties.SequenceSnowflakeProperties",
      "defaultValue": 0
    },
    {
      "name": "hnqz.xsequence.snowflake.step",
      "type": "java.lang.Integer",
      "description": "获取range步长[可选，默认：1000]",
      "sourceType": "net.yyc.common.sequence.properties.SequenceSnowflakeProperties",
      "defaultValue": 1000
    },
    {
      "name": "hnqz.xsequence.snowflake.step-start",
      "type": "java.lang.Long",
      "description": "序列号分配起始值[可选：默认：0]",
      "sourceType": "net.yyc.common.sequence.properties.SequenceSnowflakeProperties",
      "defaultValue": 0
    },
    {
      "name": "hnqz.xsequence.snowflake.worker-id",
      "type": "java.lang.Long",
      "description": "工作机器ID，值的范围在[0,31]之间，一般可以设置机器编号[必选]",
      "sourceType": "net.yyc.common.sequence.properties.SequenceSnowflakeProperties",
      "defaultValue": 0
    }
  ],
  "hints": []
}